# List workspaces

List all workspaces.

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/workspaces
Version: 1.0
Security: x-api-key

## Query parameters:

  - `limit` (integer)
    Limit is the number of records to return for a page.
    Example: 30

  - `page` (integer)
    Page is the page number to return relative to the page 'limit'.
    Example: 1

  - `searchTerm` (string)
    Filter results by partial name match
    Example: "mysta"

  - `sort` (string)
    Sort order for results
    Enum: "name,ASC", "name,DESC", "updated,ASC", "updated,DESC"

  - `status` (array)
    Status of the execution
    Example: ["Expedita optio.","Quae perferendis ducimus labore voluptatum at.","Ea ex."]

  - `tags` (array)
    Comma separated list of tags to filter by
    Example: ["Quas doloribus.","Qui impedit nostrum consequatur occaecati animi."]

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "g"

  - `project` (string, required)
    Project is the project identifier.
    Example: "gq"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "n8"

## Response 200 fields (application/json):

  - `account` (string, required)
    Account is the internal customer account ID.
    Example: "jun"

  - `created` (integer, required)
    Created is the unix timestamp at which the resource was originally created in milliseconds.
    Example: 5544220775217141000

  - `description` (string)
    Description provides long-form text about the resource.
    Example: "this is a more detailed explanation of the resource."

  - `identifier` (string, required)
    Workspace identifier.
    Example: "ld"

  - `name` (string, required)
    Name is the human readable name for the resource.
    Example: "resource name"

  - `org` (string, required)
    Org is the organisation identifier.
    Example: 9

  - `project` (string, required)
    Project is the project identifier.
    Example: "ds"

  - `status` (string, required)
    The status of the workspace
    Enum: "active", "inactive", "provisioning", "destroying", "failed", "unknown", "rollback_applied"

  - `updated` (integer, required)
    Modified is the unix timestamp at which the resource was last modified in milliseconds.
    Example: 276886844279661470

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?


